> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Usage

> Get token and spend usage for the current billing month.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId}/usage
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId}/usage:
    get:
      tags:
        - aiGateways
      summary: Usage
      description: Get token and spend usage for the current billing month.
      operationId: aiGateways.usage
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: gatewayId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Gateway usage and remaining budget.
          content:
            application/json:
              schema:
                type: object
                properties:
                  month:
                    type: string
                    format: date-time
                  requests:
                    type: integer
                    minimum: 0
                  inputTokens:
                    type: integer
                    minimum: 0
                  outputTokens:
                    type: integer
                    minimum: 0
                  spentUsd:
                    type: number
                    minimum: 0
                  budgetUsd:
                    type: number
                    minimum: 0
                  remainingUsd:
                    type: number
                    minimum: 0
                required:
                  - month
                  - requests
                  - inputTokens
                  - outputTokens
                  - spentUsd
                  - budgetUsd
                  - remainingUsd
                additionalProperties: false
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````